export class UI {
	constructor(datapointData) {
		this.datapoint = datapointData
		document.addEventListener('keydown', evt=>this.keyHandler(evt))
		document.querySelector('input[name="group"]').focus()
	}
	keyHandler(evt) {
		if (!(evt.altKey && evt.shiftKey))
			return

		evt.preventDefault()
		evt.stopPropagation()

		switch (evt.key) {
			case 'S':
				document.getElementById('form-trigger').submit()
			break
		}
	}
	check_rename() {
		let newName = document.querySelector(`input[name="name"]`).value
		if (newName != this.datapoint.Name)
			return confirm(`Trigger expressions needs to be manually updated when renaming a datapoint.\nDo you want to rename the datapoint?`)
		return true
	}
}
